Subject: [ietf-dkim] Re: Use of LWSP in ABNF -- consensus call

From: Lisa Dusseault <[email-masked]>
Date: Mon, 4 Jun 2007 15:16:58 -0700

Since I composed this I saw additional opinions - one for doing  
nothing, and a couple that I interpreted as something stronger than a  
warning (e.g. "do not use in the future").  I still believe there to  
be rough consensus for a warning.  If anybody can suggest (or repost)  
very specific text this could help the authors.

Thanks,
Lisa

On May 22, 2007, at 4:29 PM, Lisa Dusseault wrote:

> Thanks for everybody's input on this.  I interpret the discussion  
> as showing consensus for a comment with a warning near the  
> definition of LWSP.
>
> Details:  I counted 18 opinions.  I couldn't see anybody arguing  
> for "no comment or text whatsoever".  I saw arguments against  
> treating this as a Security Consideration.  I saw opinions in  
> favour of "deprecating" the construct, but I am not sure if that's  
> an opinion for or against the health warning (since the definition  
> of deprecation is loose here).  In any case, even if you count  
> those as "votes against" , I still see rough consensus.
>
> Lisa
>
>
>>
>> The IESG reviewed <http://www.ietf.org/internet-drafts/draft- 
>> crocker-rfc4234bis-00.txt> for publication as Internet Standard  
>> and would like to know if there is consensus to recommend against  
>> the use of LWSP in future specifications, as it has caused  
>> problems recently in DKIM and could cause problems in other places.
>>
>> Some discussion on this point already:
>>  - http://www1.ietf.org/mail-archive/web/ietf/current/msg46048.html
>>  - http://www1.ietf.org/mail-archive/web/discuss/current/ 
>> msg00463.html
>>  - http://mipassoc.org/pipermail/ietf-dkim/2007q1/007295.html
>>  - https://datatracker.ietf.org/public/pidtracker.cgi? 
>> command=view_comment&id=66440  (in this tracker comment, Chris  
>> Newman recommended to remove LWSP, but for backward-compatibility  
>> it's probably better to keep it and recommend against use)
>>
>> Thanks for your input,
>> Lisa Dusseault
>>
>>
>> _______________________________________________
>> Ietf mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/ietf
>

_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html